org.apache.ignite.internal.sql.command

## Class SqlKillComputeTaskCommand

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlKillComputeTaskCommand

All Implemented Interfaces:
  SqlCommand

    public class SqlKillComputeTaskCommand
    extends Object
    implements SqlCommand

KILL COMPUTE_TASK command.

See Also:
  `ComputeMXBean.cancel(String)`, `ComputeJobView.sessionId()`, `ComputeTaskView.sessionId()`

### Constructor Summary

Constructors
Constructor and Description
`SqlKillComputeTaskCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteUuid` `getSessionId()`
`SqlCommand` `parse(SqlLexer lex)` Parse command.
`String` `schemaName()`
`void` `schemaName(String schemaName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlKillComputeTaskCommand

    public SqlKillComputeTaskCommand()

### Method Detail

#### parse

    public SqlCommand parse(SqlLexer lex)

Parse command.

Specified by:
  `parse` in interface `SqlCommand`
Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### getSessionId

    public IgniteUuid getSessionId()

Returns:
  Session id.

#### schemaName

    public String schemaName()

Specified by:
  `schemaName` in interface `SqlCommand`
Returns:
  Schema name.

#### schemaName

    public void schemaName(String schemaName)

Specified by:
  `schemaName` in interface `SqlCommand`
Parameters:
  `schemaName` - Schema name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020